#include "freecarac.h"
#include "freevar.h"
#include <QDebug>
#include <QtXml>
namespace FreeAPI
{
    FreeCarac::FreeCarac(QString id, QString idt,QObject *parent) :
            QObject(parent), mId(id), mIdt(idt)
    {
        mHttp = new QHttp;
        mHttp->setHost(FREEGO_HOST);


        connect(mHttp,SIGNAL(done(bool)),this,SLOT(done(bool)));
        load();

    }
    void FreeCarac::load()
    {
        mHttp->setHost(FREEGO_HOST);
        mHttp->get("http://iphone.free-go.net/carac.php?id="+mId+"&idt="+mIdt);
    }

    void FreeCarac::done(bool error)
    {
        if (error)
        {
            qDebug()<<"error"<<mHttp->errorString();
            return ;
        }


        QDomDocument doc;
        doc.setContent(mHttp->readAll());


        QDomElement root = doc.documentElement();
        QDomNode node = root.firstChild();

        mResuts.clear();
        while ( !node.isNull())
        {
            mResuts[node.nodeName()] = node.toElement().text();
            node = node.nextSibling();
        }
    }
    // RETOUR==============================================
    const QString&  FreeCarac::ligne()
    {
        return mResuts["ligne"];

    }

    const QString&  FreeCarac::offre()
    {
        return mResuts["offre"];

    }
    const QString&  FreeCarac::telfbx()
    {
        return mResuts["telfbx"];

    }
    const QString&  FreeCarac::adresseip()
    {
        return mResuts["adresseip"];

    }
    const QString&  FreeCarac::passerelle()
    {
        return mResuts["passerelle"];

    }
    const QString&  FreeCarac::longueur()
    {
        return mResuts["longueur"];

    }

    const QString&  FreeCarac::persodns()
    {
        return mResuts["persodns"];

    }
    const QString&  FreeCarac::ipv6()
    {
        return mResuts["ligne"];

    }






}
