#ifndef FREEMOTE_H
#define FREEMOTE_H

#include <QObject>
#include <QHttp>

#define PowerButton



namespace FreeAPI
{
    class FreeMote : public QObject
    {
        Q_OBJECT
    public:
        enum Box{
            HD1,
            HD2
        };

        enum Button {
            Power,
            List,
            Tv,
            Back,
            Swap,
            Info,
            Mail,
            Help,
            Pip,
            Epg,
            Media,
            Options,
            Vol_inc,
            Vol_dec,
            Prgm_inc,
            Prgm_dec,
            Ok,
            Up,
            Right,
            Down,
            Left,
            Mute,
            Home,
            Rec,
            Bwd,
            Prev,
            Play,
            Fwd,
            Next,
            Red,
            Green,
            Yellow,
            Blue
        };
        Q_ENUMS (Button);
        Q_ENUMS (Box);

        explicit FreeMote(const QString& code, Box box=HD1,  QObject *parent = 0);
        void press(int channel);
        void press(Button button, bool isLong=false);

    signals:
        void success();
        void failed();
    private slots:
        void done(bool error);
    private:
        QString mCode;
        Box mBox;
        QHttp * mPressHttp;


    };
} //namespace
#endif // FREEMOTE_H
